CON 
  _clkmode = xtal1 + pll16x 
  _xinfreq = 5_000_000 

  US_005 = 80_000_000 / 1_000_000 * 5                           ' 5us
    
  XB_Rx     = 3    ' XBee DOUT 
  XB_Tx     = 4    ' XBee DIN 
  XB_Baud   = 9600 
  CR        = 13                                        ' Carriage Return value       
  CLOCK     = 5                                         ' Connected to pin 2 of 74HC165
  LOAD      = 6                                         ' Connected to pin 1 of 74HC165
  DATA      = 7                                         ' Connected to pin 7 of 74HC165
  BITS_IN   = 8
con

  #0, CLS, HOME, #8, BKSP, TAB, LF, CLREOL, CLRDN           ' PST formmatting control


var

   long stack2[50]
   long stack3[50]
   long Analog
   long xInputs                                                                        
OBJ 
   XB         : "FullDuplexSerial"
   ADC        : "jm_adc0838_ez"  
    
Pub  Start

        cognew(Switch_Read, @stack3)                          ' Start cog for Servo positioning

        XB.start(XB_Rx, XB_Tx, 0, XB_Baud)                           ' Initialize comms for XBee
 
        ADC.init(0, 1, 2)                                            ' setup ADC
             
        waitcnt(clkfreq + cnt)
         
          repeat
            XB.tx("A")

            Analog := adc.read(0)                     'Read ADC                                 
            XB.dec(Analog)                            'Transmit
            XB.tx(CR)


            Analog := adc.read(1)
            XB.dec(Analog)
            XB.tx(CR)
          
         
            Analog := adc.read(2)
            XB.dec(Analog)
            XB.tx(CR)
       
         
            Analog := adc.read(3)
            XB.dec(Analog)
            XB.tx(CR)
       
          
            Analog := adc.read(4)
            XB.dec(Analog)
            XB.tx(CR)
       
         
            Analog := adc.read(5)
            XB.dec(Analog)
            XB.tx(CR)


            XB.dec(xInputs)
            XB.tx(CR)

            
PUB Switch_Read

          dira[16..23] := outa[16..23] := 1   
          waitcnt(clkfreq * 3 + cnt)  ' time to open serial terminal
          dira[CLOCK] := 1
          outa[LOAD] := 1
          dira[LOAD] := 1
          dira[16..23]~~
          repeat
            xInputs := 0                                        ' clear variable to hold input states
            outa[LOAD] := 0
            outa[LOAD] := 1
            repeat BITS_IN
              xInputs <<= 1
              xInputs += ina[DATA] 
              outa[CLOCK] := 1
              outa[CLOCK] := 0
            outa[16..23] := xInputs   